package rest;

import jakarta.ws.rs.Consumes;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.PUT;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;

@Path("/licznik")
@Produces("text/plain")
@Consumes("text/plain")
public class Licznik {
	private int licznik = 0;

	@GET
	public synchronized int getLicznik() {
		return ++licznik;
	}

	@PUT
	public synchronized void setLicznik(int licznik) {
		this.licznik = licznik;
	}
}
